Bug 8824

Summary: SVG: print any page
Product: WebKit Reporter: jay <jay@peepo.com>
Component: SVGAssignee: Nobody <webkit-unassigned@lists.webkit.org>
Status: RESOLVED FIXED    
Severity: Normal CC: ap@webkit.org, ddkilzer@webkit.org, ian@hixie.ch, mrowe@apple.com
Priority: P2 Keywords: SVGHitList
Version: 420+   
Hardware: Macintosh   
OS: Mac OS X 10.4   
URL: http://www.peepo.co.uk
Bug Depends on: 10383, 10648    
Bug Blocks:    

Description From 2006-05-10 01:29:23 PST
It should be possible to print any SVG page, as per HTML.

One application that can print, and save as SVG is Apple's Sketch demo application from ObjectiveC 

also ASV
------- Comment #1 From 2006-07-06 18:09:11 PST -------
Attempting to print preview the URL provided results in Preview displaying "File error.", "Couldn't open the file.".  A quick look through the PDF that is generated shows it looks roughly like a PDF document, so the contents of it are likely to be the issue.
------- Comment #2 From 2006-08-10 19:08:40 PST -------
Looking at the console log, this occurs because we're holding on to a CGContext too long.
------- Comment #3 From 2006-08-10 19:10:35 PST -------
This is the log I see:

Warning: The printing graphics context is being released by the printing system but is retained by the drawing client. This usually produces damaged PDF documents!

I expect this is due to KCanvasRenderingDeviceContextQuartz.

I also see the whole SVG repainting itself twice during the print, which surprises me.
------- Comment #4 From 2006-09-08 17:23:23 PST -------
This is probably fixed by bug 10648
------- Comment #5 From 2006-09-09 03:41:47 PST -------
re #4

Eric this is almost certainly not fixed. as well as the URI  above I checked a simple SVG: http://bugzilla.opendarwin.org/attachment.cgi?id=8239

in both cases print preview dialogue: "file error couldn't open the file OK"
and trying again later opened a blank pdf document
------- Comment #6 From 2006-09-10 13:12:06 PST -------
Fixed by 10648.
------- Comment #7 From 2006-09-10 13:41:03 PST -------
eric, macdome please explain why this is fixed?

the latest nightly is not printing either of the svgs in the 2 URIs given

10383 is not showing as fixed, yet this bug is apparently dependent on it...


cheers
------- Comment #8 From 2006-09-10 23:24:14 PST -------
Amazing, congratulations and thanks, I've already filed a style bug, and will try to file a few more print bugs assuming they're present ~:"